//
//  AppDelegate.h
//  Resultados Video
//
//  Created by Pablo Roldán Ruz on 28/11/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class ResultSet;

@interface AppDelegate : NSObject <NSApplicationDelegate> {
    NSString *groundTruthFile;
    NSString *resultsFile;
    ResultSet *faceResults;
    ResultSet *faceGroundTruth;
    ResultSet *upperBodyResults;
    ResultSet *upperBodyGroundTruth;
    ResultSet *lowerBodyResults;
    ResultSet *lowerBodyGroundTruth;
    ResultSet *fullBodyResults;
    ResultSet *fullBodyGroundTruth;
    
    
    NSTextField *faceTruePositives;
    NSTextField *faceFalsePositives;
    NSTextField *faceFalseNegatives;
    NSTextField *faceTotalPositives;
    NSTextField *faceSensitivity;
    
    NSTextField *upperBodyTruePositives;
    NSTextField *upperBodyFalsePositives;
    NSTextField *upperBodyFalseNegatives;
    NSTextField *upperBodyTotalPositives;
    NSTextField *upperBodySensitivity;
    
    NSTextField *lowerBodyTruePositives;
    NSTextField *lowerBodyFalsePositives;
    NSTextField *lowerBodyFalseNegatives;
    NSTextField *lowerBodyTotalPositives;
    NSTextField *lowerBodySensitivity;
    
    NSTextField *fullBodyTruePositives;
    NSTextField *fullBodyFalsePositives;
    NSTextField *fullBodyFalseNegatives;
    NSTextField *fullBodyTotalPositives;
    NSTextField *fullBodySensitivity;

}

@property (assign) IBOutlet NSWindow *window;

@property (nonatomic,retain) IBOutlet NSTextField *faceTruePositives;
@property (nonatomic,retain) IBOutlet NSTextField *faceFalsePositives;
@property (nonatomic,retain) IBOutlet NSTextField *faceFalseNegatives;
@property (nonatomic,retain) IBOutlet NSTextField *faceTotalPositives;
@property (nonatomic,retain) IBOutlet NSTextField *faceSensitivity;

@property (nonatomic,retain) IBOutlet NSTextField *upperBodyTruePositives;
@property (nonatomic,retain) IBOutlet NSTextField *upperBodyFalsePositives;
@property (nonatomic,retain) IBOutlet NSTextField *upperBodyFalseNegatives;
@property (nonatomic,retain) IBOutlet NSTextField *upperBodyTotalPositives;
@property (nonatomic,retain) IBOutlet NSTextField *upperBodySensitivity;

@property (nonatomic,retain) IBOutlet NSTextField *lowerBodyTruePositives;
@property (nonatomic,retain) IBOutlet NSTextField *lowerBodyFalsePositives;
@property (nonatomic,retain) IBOutlet NSTextField *lowerBodyFalseNegatives;
@property (nonatomic,retain) IBOutlet NSTextField *lowerBodyTotalPositives;
@property (nonatomic,retain) IBOutlet NSTextField *lowerBodySensitivity;

@property (nonatomic,retain) IBOutlet NSTextField *fullBodyTruePositives;
@property (nonatomic,retain) IBOutlet NSTextField *fullBodyFalsePositives;
@property (nonatomic,retain) IBOutlet NSTextField *fullBodyFalseNegatives;
@property (nonatomic,retain) IBOutlet NSTextField *fullBodyTotalPositives;
@property (nonatomic,retain) IBOutlet NSTextField *fullBodySensitivity;

@end
