//
//  ViewController.m
//  VideoTestCV
//
//  Created by Pablo Roldán Ruz on 21/11/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "ViewController.h"
#import "VideoPlayerCV.h"

/*
 * Main app controller. This class inits the VideoPlayerCV with the video file *
 */
@implementation ViewController

@synthesize videoPlayer;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}




#pragma mark - View lifecycle

// The VideoPlayerCV object is initialized once the main view is loaded
- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    // Load the video file into the VideoPlayerCV object
    NSString* testVideoFile = [[NSBundle mainBundle] pathForResource:@"pelicula" ofType:@"mov"];
    self.videoPlayer = [[VideoPlayerCV alloc] initWithNibName:@"VideoPlayerCV" bundle:[NSBundle mainBundle]];
    self.videoPlayer.videoFile = testVideoFile;
    
    // Add the video player view to the main view
    [self.view addSubview:self.videoPlayer.view];
    [self.view bringSubviewToFront:self.videoPlayer.view];
    
    // Start the video playing
    [self.videoPlayer playVideo];
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
    self.videoPlayer = nil;
}

- (void)dealloc 
{
    [self.videoPlayer release];
    [super dealloc];
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
