//
//  PhotoConfController.m
//  PhotoGroup
//
//  Created by Pablo Roldán Ruz on 11/12/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "PhotoConfController.h"

@implementation PhotoConfController

@synthesize numberOfPeople;
@synthesize numberOfPeopleLabel;
@synthesize numberOfPeopleSlider;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        self.numberOfPeople = [NSNumber numberWithInt:2];
        self.numberOfPeopleSlider.value = 2.0;
    }
    return self;
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    self.numberOfPeopleLabel.text = [NSString stringWithFormat:@"%d",[self.numberOfPeople intValue]];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
    self.numberOfPeopleLabel = nil;
    self.numberOfPeopleSlider = nil;
}

- (void)dealloc {
    [numberOfPeopleLabel release];
    [numberOfPeopleSlider release];
    [numberOfPeople release];
    [super dealloc];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (IBAction)numberOfPeopleDidChange:(id)sender {
    self.numberOfPeople = [NSNumber numberWithFloat: [self.numberOfPeopleSlider value]];
    self.numberOfPeopleLabel.text = [NSString stringWithFormat:@"%d",[self.numberOfPeople intValue]];
}

- (IBAction)acceptChanges:(id)sender {
    [self dismissModalViewControllerAnimated:YES];
}

@end
