//
//  Frame.h
//  Resultados Video
//
//  Created by Pablo Roldán Ruz on 28/11/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@class Detection;

// This class represents one of the frames contained in the video
@interface Frame : NSObject {
    NSMutableArray *detections; // objects detected in the frame
    int frameNumber; // frame number
    int detectionNumber; // number of detections in the frame
}

@property (retain) NSMutableArray *detections;
@property (assign) int detectionNumber;
@property (assign) int frameNumber;

- (Detection *)lastDetection;

@end
