//
//  ResultSet.h
//  Resultados Video
//
//  Created by Pablo Roldán Ruz on 28/11/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

// This class represents the detections or objects in the video
@interface ResultSet : NSObject {
    NSMutableDictionary *frames; // A video is made up of frames
}

@property (retain) NSMutableDictionary *frames;

- (id)initWithContentsOfFile:(NSString *)fileName;
- (void)compareTo:(ResultSet *)set;
- (int)truePositives;
- (int)falsePositives;
- (int)numberOfDetections;

@end
